| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
WCommunication::WUsbCommunication Class Reference

A wrapper on the UsbCommunication. More...

`#include <WUsbCommunication.h>`

Inheritance diagram for WCommunication::WUsbCommunication:

## Public Member Functions
| WUsbCommunication ()
| Base constructor.
| ~WUsbCommunication ()
| Destructor.
| WUsbCommunication (WUsbSettings^ pUsbSettings)
| Copy constructor.
WCommunicationStatus | Connect () override
| Connects to the USB Device.
void | Disconnect () override
| Disconnect from the USB device.

## Static Public Member Functions
static List< WUsbInformation^> | GetDeviceList ()
| A static method that retrieve the devices wired to the computer throug USB.

## Detailed Description

A wrapper on the UsbCommunication.

## Constructor & Destructor Documentation

## ◆ WUsbCommunication() [1/2]

WCommunication::WUsbCommunication::WUsbCommunication | ( |  | ) |
| inline

Base constructor.

## ◆ ~WUsbCommunication()

WCommunication::WUsbCommunication::~WUsbCommunication | ( |  | ) |
| inline

Destructor.

## ◆ WUsbCommunication() [2/2]

WCommunication::WUsbCommunication::WUsbCommunication | ( | WUsbSettings^ | pUsbSettings | ) |
| inline

Copy constructor.

## Member Function Documentation

## ◆ Connect()

WCommunicationStatus WCommunication::WUsbCommunication::Connect | ( |  | ) |
| inline override

Connects to the USB Device.

## ◆ Disconnect()

void WCommunication::WUsbCommunication::Disconnect | ( |  | ) |
| inline override

Disconnect from the USB device.

## ◆ GetDeviceList()

static List< WUsbInformation^> WCommunication::WUsbCommunication::GetDeviceList | ( |  | ) |
| inline static

A static method that retrieve the devices wired to the computer throug USB.

Returns
  A detailed list of conected devices

The documentation for this class was generated from the following file:

- WUsbCommunication.h